Index: /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js	(revision 25727)
+++ /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js	(revision 25728)
@@ -20,5 +20,5 @@
 	
 	var request_type = "GET";
-	var url = "?a=pr&rt=r&ro=1&s=ItemNum&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&c=";
+	var url = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=ItemNum&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&c=";
 
 	var responseSuccess = function(o){
@@ -244,5 +244,5 @@
 	
 	fullView.appendChild(document.createTextNode('Full View Â»'));
-	fullView.setAttribute("href","?a=g&sa=berry&c=&s=DisplayList&rt=r&p.c=" + collectionName);
+	fullView.setAttribute("href",gs.xsltParams.library_name + "?a=g&sa=berry&c=&s=DisplayList&rt=r&p.c=" + collectionName);
 	fullView.setAttribute("id","berryFullViewLink");
 
@@ -292,5 +292,5 @@
 
 function addBerry(el){
-	var addurl = "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=" + el.id;
+	var addurl = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=" + el.id;
 
 	var addSuccess = function(o){
Index: /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrycheckout.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrycheckout.js	(revision 25727)
+++ /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrycheckout.js	(revision 25728)
@@ -149,5 +149,5 @@
 		li.appendChild(img);
 		
-		a.href ="?a=d&c="+doc['collection']+"&d="+doc['name'];
+		a.href =gs.xsltParams.library_name + "?a=d&c="+doc['collection']+"&d="+doc['name'];
 		
 		if(window.interfaceName && window.interfaceName == "dev")
@@ -397,5 +397,5 @@
 
 function sendMail(){
-	var url = "?a=pr&rt=r&ro=1&s=SendMail&c=";
+	var url = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=SendMail&c=";
 	var request_type = "POST";
 	var postdata = "";
Index: /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/ygDDPlayer.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/ygDDPlayer.js	(revision 25727)
+++ /main/trunk/greenstone3/web/interfaces/default/js/berrybasket/ygDDPlayer.js	(revision 25728)
@@ -124,6 +124,6 @@
 
 var request_type = "GET";
-var addurlPath ="?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
-var delurlPath ="?a=pr&rt=r&ro=1&s=DeleteItem&c=&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
+var addurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
+var delurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=DeleteItem&c=&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
 var postdata = null;
 
Index: /main/trunk/greenstone3/web/interfaces/default/transform/classifiertools.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/transform/classifiertools.xsl	(revision 25727)
+++ /main/trunk/greenstone3/web/interfaces/default/transform/classifiertools.xsl	(revision 25728)
@@ -42,4 +42,8 @@
 			<xsl:with-param name="serviceName" select="$serviceName"/>
 		</xsl:apply-templates>
+		<!-- The berry (optional) -->
+		<td>
+			<xsl:call-template name="documentBerryForClassifierOrSearchPage"/>
+		</td>
 		<xsl:call-template name="documentNodePost"/>
 	</xsl:template>
@@ -50,9 +54,4 @@
 		<xsl:param name="serviceName"/>
 		<a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@nodeID}&amp;dt={@docType}&amp;p.a=b&amp;p.s={$serviceName}"><xsl:apply-templates select="." mode="displayNodeIcon"/></a><xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
-		
-		<!-- The berry (optional) -->
-		<td>
-			<xsl:call-template name="documentBerryForClassifierOrSearchPage"/>
-		</td>
 	</xsl:template>
   