Index: gs3-extensions/i-jetty/trunk/src/resources/index.html
===================================================================
--- gs3-extensions/i-jetty/trunk/src/resources/index.html	(revision 25768)
+++ gs3-extensions/i-jetty/trunk/src/resources/index.html	(revision 25769)
@@ -17,7 +17,6 @@
 		<ul>	
 			<li><a href="library">Run the main servlet for Greenstone 3.</a> This is an interface that demonstrates the wide variety of capabilities in Greenstone 3.</li>
-			<li><a href="testing">Run the 'Hello World' test servlet.</a> Use this link to check that your server can run the simplest of Java servlets.</li>
-			<li><a href="gs2-library">Run the Greenstone 2 backwards-compatible library servlet. (Deprecated)</a> View the demo collections that come with Greenstone, using the Greenstone 2 look and feel.</li>
-			<li><a href="gs3-library">Run the 'standard' servlet. (Deprecated)</a> View the same collections using the standard Greenstone 3 look and feel. </li>
+			<li><a href="gs2-library">Run the Greenstone 2 look and feel servlet. (Deprecated)</a> View the demo collections that come with Greenstone, using the Greenstone 2 look and feel.</li>
+			<li><a href="basic-library">Run the basic servlet. (Deprecated, but good on self-contained Android installs)</a> View the same collections using a basic look and feel. </li>
 			<li><a href="gateway">Run the gateway servlet.</a> This uses the standard Greenstone 3 look and feel, and talks via SOAP to the site with the demo collections (localsite).
 				<ul>
@@ -25,4 +24,6 @@
 				</ul>
 			</li>
+			<li><a href="testing">Run the 'Hello World' test servlet.</a> Use this link to check that your server can run the simplest of Java servlets.</li>
+
 		</ul>
 	</div>
Index: gs3-extensions/i-jetty/trunk/src/resources/web.xml
===================================================================
--- gs3-extensions/i-jetty/trunk/src/resources/web.xml	(revision 25768)
+++ gs3-extensions/i-jetty/trunk/src/resources/web.xml	(revision 25769)
@@ -3,4 +3,11 @@
 http://jakarta.apache.org/tomcat/tomcat-4.0-doc/appdev/web.xml.txt
 -->
+
+<!-- For Android, this file is a copy of the one in 
+       <greenstone3-home>/web/WEB-INF/web.xml 
+    with anything to do with the following removed:
+      Axis, OAI, and MAT
+  -->
+
 <web-app>
 	<display-name>GSDL3</display-name>
@@ -87,5 +94,5 @@
 	<servlet>
 		<servlet-name>library</servlet-name>
-		<description>A new skin engine still in development based on the standard gsdl3 library program</description>
+		<description>The standard gsdl3 library program</description>
 		<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
 		<init-param>
@@ -99,5 +106,5 @@
 		<init-param>
 			<param-name>interface_name</param-name>
-			<param-value>oran</param-value>
+			<param-value>default</param-value>
 		</init-param>
 		<init-param>
@@ -173,5 +180,5 @@
 	<servlet>
 		<servlet-name>gateway</servlet-name>
-		<description>gsdl3 library based on gateway site and default interface. It uses SOAP to talk to localsite</description>
+		<description>gsdl3 library based on gateway site and basic interface. It uses SOAP to talk to localsite</description>
 		<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
 		<init-param>
@@ -185,19 +192,19 @@
 		<init-param>
 			<param-name>interface_name</param-name>
-			<param-value>default</param-value>
-		</init-param>
-		<init-param>
-			<param-name>default_lang</param-name>
-			<param-value>en</param-value>
-		</init-param>
-	</servlet>
-  
-	<servlet>
-		<servlet-name>gs3-library</servlet-name>
-		<description>standard gsdl3 library program: uses localsite and the default interface</description>
-		<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-		<init-param>
-			<param-name>library_name</param-name>
-			<param-value>gs3-library</param-value>
+			<param-value>basic</param-value>
+		</init-param>
+		<init-param>
+			<param-name>default_lang</param-name>
+			<param-value>en</param-value>
+		</init-param>
+	</servlet>
+  
+	<servlet>
+		<servlet-name>basic-library</servlet-name>
+		<description>basic gsdl3 library program: uses localsite and the basic interface</description>
+		<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+		<init-param>
+			<param-name>library_name</param-name>
+			<param-value>basic-library</param-value>
 		</init-param>
 		<init-param>
@@ -207,5 +214,5 @@
 		<init-param>
 			<param-name>interface_name</param-name>
-			<param-value>default</param-value>
+			<param-value>basic</param-value>
 		</init-param>
 		<init-param>
@@ -218,46 +225,4 @@
 		</init-param>-->
 	</servlet>
-
-	<!-- axis servlets -->
-<!--
-	<servlet>
-		<servlet-name>AxisServlet</servlet-name>
-		<display-name>Apache-Axis Servlet</display-name>
-		<servlet-class>
-			org.apache.axis.transport.http.AxisServlet
-		</servlet-class>
-	</servlet>
-
-	<servlet>
-		<servlet-name>AdminServlet</servlet-name>
-		<display-name>Axis Admin Servlet</display-name>
-		<servlet-class>
-			org.apache.axis.transport.http.AdminServlet
-		</servlet-class>
-		<load-on-startup>100</load-on-startup>
-	</servlet>
-
-	<servlet>
-		<servlet-name>SOAPMonitorService</servlet-name>
-		<display-name>SOAPMonitorService</display-name>
-		<servlet-class>
-			org.apache.axis.monitor.SOAPMonitorService
-		</servlet-class>
-		<init-param>
-			<param-name>SOAPMonitorPort</param-name>
-			<param-value>5001</param-value>
-		</init-param>
-		<load-on-startup>100</load-on-startup>
-	</servlet>
--->
-
-<!--	
-	<servlet>
-		<servlet-name>mat</servlet-name>
-		<description>Metadata Analysis Tool</description>
-		<servlet-class>org.greenstone.mat.servlet.MatServlet</servlet-class>
-	</servlet>
-
--->
 
 
@@ -302,5 +267,4 @@
 		<url-pattern>/nzdl</url-pattern>
     </servlet-mapping>
-
 	<servlet-mapping>
 		<servlet-name>tester</servlet-name>
@@ -324,6 +288,6 @@
   
 	<servlet-mapping>
-		<servlet-name>gs3-library</servlet-name>
-		<url-pattern>/gs3-library</url-pattern>
+		<servlet-name>basic-library</servlet-name>
+		<url-pattern>/basic-library</url-pattern>
 	</servlet-mapping>
 