Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25767)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25772)
@@ -574,4 +574,5 @@
 <Text id="0274">Close the collection by clicking <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Close"/></Menu>. This automatically saves the collection to disk.</Text>
 </NumberedItem>
+<MajorVersion number="2">
 <Heading>
 <Text id="0275">Viewing the internal links and external links</Text>
@@ -581,4 +582,5 @@
 <Text id="0257b">Go back to the web browser and click the <Path>titles</Path>  link near the top of the page. Open the file <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, click <Path>letters written by Anne</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format> (remove the # at the start of a line to uncomment it). Note, that if you are already browsing a collection, then you will need to go back to the home page and re-enter the collection to see this take effect (due to caching of the el argument).</Text>
 </NumberedItem>
+</MajorVersion>
 <Heading> 
 <Text id="0277">Setting up a shortcut in the Librarian interface</Text>
@@ -597,7 +599,10 @@
 <Content>
 <NumberedItem>
-<Text id="0338">In the Librarian Interface, start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information. For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection</b> from the pull-down menu.</Text> 
-<Comment>
-<Text id="0338a">This will only be available if the documented example collections are installed. If you don't have this collection, select <AutoText key="glidict::NewCollectionPrompt.NewCollection"/>. You can still build an image collection, but some of the tutorial will not match exactly.</Text>
+<Text id="0338">In the Librarian Interface, start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information.
+<MajorVersion number="2">For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection</b> from the pull-down menu.</MajorVersion>
+<MajorVersion number="3">For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Other Collections</b> from the pull-down menu and choose the <b>image-e</b> collection (Simple image collection) from the dialog that opens.</MajorVersion>
+</Text> 
+<Comment>
+<Text id="0338a">This will only be available if the documented example collections are installed. If you don't have this collection, select <AutoText key="glidict::NewCollectionPrompt.NewCollection"/>. You can still build an image collection, but some of the tutorial will not match exactly. </Text>
 <Text id="0340a">When you base a collection on an existing one, it inherits all the settings of the old one, including which metadata sets (if any) the collection uses.</Text>
 </Comment>
@@ -641,14 +646,24 @@
 </Heading>
 <NumberedItem>
-<Text id="0358">Now we customize the collection's appearance. Go to the <AutoText key="glidict::GUI.Format"/> panel and select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list. Leave the feature selection controls at their default values, so that <AutoText key="glidict::CDM.FormatManager.AllFeatures" type="italics"/> is selected for <AutoText key="glidict::CDM.FormatManager.Feature"/>, and <AutoText text="VList" /> is selected as the <AutoText key="glidict::CDM.FormatManager.Part"/>. In the <AutoText key="glidict::CDM.FormatManager.Editor"/>, edit the text as follows:</Text>
+<Text id="0358">Now we customize the collection's appearance. Go to the <AutoText key="glidict::GUI.Format"/> panel and select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list.</Text> 
+<MajorVersion number="2"><Text id="0359c">Leave the feature selection controls at their default values, so that <AutoText key="glidict::CDM.FormatManager.AllFeatures" type="italics"/> is selected for <AutoText key="glidict::CDM.FormatManager.Feature"/>, and <AutoText text="VList" /> is selected as the <AutoText key="glidict::CDM.FormatManager.Part"/>. In the <AutoText key="glidict::CDM.FormatManager.Editor"/>, edit the text as follows:</Text></MajorVersion>
+<MajorVersion number="3"><Text id="0359d">Click on the <b>browse</b> Format Feature. Find the section under <b>documentNode</b> where it says</Text>
+<Format>&lt;td valign=&quot;top&quot;&gt;&lt;gsf:displayText name=&quot;ImageName&quot;&#47;&gt;:&lt;gsf:metadata name=&quot;Image&quot;&#47;&gt;&lt;br&#47;&gt;&lt;gsf:displayText name=&quot;Width&quot;&#47;&gt;:&lt;gsf:metadata name=&quot;ImageWidth&quot;&#47;&gt;&lt;br&#47;&gt;&lt;gsf:displayText name=&quot;Height&quot;&#47;&gt;:&lt;gsf:metadata name=&quot;ImageHeight&quot;&#47;&gt;&lt;br&#47;&gt;&lt;gsf:displayText name=&quot;Size&quot;&#47;&gt;:&lt;gsf:metadata name=&quot;ImageSize&quot;&#47;&gt;&lt;&#47;td&gt;</Format><Text id="0395d">Edit the text as follows:</Text></MajorVersion>
 <BulletList>
 <Bullet>
-<Text id="0359">Change <Format>_ImageName_:</Format> to <Format>Title:</Format></Text>
-</Bullet>
-<Bullet>
-<Text id="0359a">Change <Format>[Image]</Format> to <Format>[dc.Title]</Format></Text>
-</Bullet>
-<Bullet>
-<Text id="0359b">After <Format>[dc.Title]&lt;br&gt;</Format> add <Format>Description: [dc.Description]&lt;br&gt;</Format></Text>
+<MajorVersion number="2"><Text id="0359">Change <Format>_ImageName_:</Format> to <Format>Title:</Format></Text></MajorVersion>
+<MajorVersion number="3"><Text id="0359e">Change <Format>&lt;gsf:displayText name=&quot;ImageName&quot;&#47;&gt;:</Format> to <Format>Title:</Format></Text></MajorVersion>
+</Bullet>
+<Bullet>
+<Text id="0359a">
+<MajorVersion number="2">Change <Format>[Image]</Format> to <Format>[dc.Title]</Format></MajorVersion>
+<MajorVersion number="3">Change <Format>&lt;gsf:metadata name=&quot;Image&quot;&#47;&gt;</Format> to <Format>&lt;gsf:metadata name=&quot;dc.Title&quot;&#47;&gt;</Format></MajorVersion>
+</Text>
+</Bullet>
+<Bullet>
+<Text id="0359b">
+<MajorVersion number="2">After <Format>[dc.Title]&lt;br&gt;</Format> add <Format>Description: [dc.Description]&lt;br&gt;</Format></MajorVersion>
+<MajorVersion number="3">After <Format>&lt;gsf:metadata name=&quot;dc.Title&quot;&#47;&gt;&lt;br&#47;&gt;</Format> add <Format>Description: &lt;gsf:metadata name=&quot;dc.Description&quot;&#47;&gt;&lt;br&#47;&gt;</Format></MajorVersion>
+</Text>
 </Bullet>
 </BulletList>
@@ -658,5 +673,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0361a">The new format statement is displayed in the list of assigned format statements. The first substitution alters the fragment of text that appears to the right of the thumbnail image, the second alters the item of metadata that follows it. The addition displays the description after the Title.</Text>
+<Text id="0361a"><MajorVersion number="2">The new format statement is displayed in the list of assigned format statements. </MajorVersion>The first substitution alters the fragment of text that appears to the right of the thumbnail image, the second alters the item of metadata that follows it. The addition displays the description after the Title.</Text>
 </NumberedItem>
 <NumberedItem>