Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25791)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25792)
@@ -845,4 +845,5 @@
 <Text id="fw-2a">Tidying up the default format statement</Text>
 </Heading>
+<MajorVersion number="2">
 <NumberedItem>
 <Text id="fw-3a">In this part of the exercise, we make the format statement simpler without changing the resulting display.</Text>
@@ -871,7 +872,52 @@
 <Text id="fw-10">Preview the collection to make sure the display hasn't changed. You shouldn't notice any difference when looking at search results, classifiers etc. </Text>
 </NumberedItem>
+</MajorVersion>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="fw-3a-3">In this part of the exercise, we make the format statement simpler without changing the resulting display.</Text>
+<Text id="fw-3-3">Greenstone's default format statement is complex because it is designed to produce something reasonable under almost any conditions, and also because for practical reasons it needs to be backwards compatible with legacy collections. For this collection, we don't need all of the complexity.</Text>
+<Text id="fw-3a-1-3">Make sure that the <AutoText key="coredm::_Global:labelBrowse_"/> format statement is selected in the list of formats.</Text>
+<Text id="fw-4-3">An excerpt from the default <AutoText key="coredm::_Global:labelBrowse_"/> format statement for <b>documentNode</b> looks like the following:</Text>
+<Format>
+    &lt;td valign=&quot;top&quot;&gt;<br/>
+      <Tab n="1"/>&lt;gsf:link type=&quot;source&quot;&gt;<br/>
+        <Tab n="2"/><highlight>&lt;gsf:choose-metadata&gt;</highlight><br/>
+          <Tab n="3"/><highlight>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;</highlight><br/>
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br/>
+        <Tab n="2"/><highlight>&lt;/gsf:choose-metadata&gt;</highlight><br/>
+      <Tab n="1"/>&lt;/gsf:link&gt;<br/>
+    &lt;/td&gt;<br/>
+</Format>
+<Text id="fw-5-3">This format statement is the default used for the <b>documentNode</b> vertical lists under classifiers.</Text>
+<Format>&lt;gsf:choose-metadata&gt;<br/>
+          <Tab n="1"/>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;<br/>
+          <Tab n="1"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br/>
+        &lt;/gsf:choose-metadata&gt;<br/>
+</Format>
+<Text id="fw-6-3">chooses <i>ex.thumbicon</i> metadata if it's there, otherwise chooses <i>ex.srcicon</i> metadata. If neither are present, nothing is displayed. For this collection there is no <i>ex.thumbicon</i> metadata so the choice is not needed.</Text>
+<Text id="fw-7-3">Replace the above with</Text>
+<Format>
+    &lt;td valign=&quot;top&quot;&gt;<br/>
+      <Tab n="1"/>&lt;gsf:link type=&quot;source&quot;&gt;<br/>
+          <Tab n="2"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br/>
+      <Tab n="1"/>&lt;/gsf:link&gt;<br/>
+    &lt;/td&gt;<br/>
+</Format>
+<Text id="fw-8-3">There is no <i>exp.Title</i> metadata, so remove that element from the following</Text>
+<Format>&lt;gsf:choose-metadata&gt;<br/>
+          <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
+          <Tab n="1"/><highlight>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;</highlight><br/>
+          <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br/>
+          <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+          <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
+        &lt;/gsf:choose-metadata&gt;<br/>
+</Format>
+<Text id="fw-10-3">Preview the collection to make sure the display hasn't changed. You shouldn't notice any difference when looking at search results, classifiers etc.</Text>
+</NumberedItem>
+</MajorVersion>
 <Heading>
 <Text id="fw-10a">Linking to Greenstone version or original version of documents</Text>
 </Heading>
+<MajorVersion number="2">
 <NumberedItem>
 <Text id="fw-11">For collections with documents that undergo a conversion process during importing (e.g. Word, PDF, PowerPoint documents, but not text, HTML documents), the original file is stored in the collection along with the converted version. The default <AutoText text="VList"/> format statement links to both versions:</Text>
@@ -881,4 +927,22 @@
 <Text id="fw-13b">Storing and displaying the original allows users to see the correct format, but requires the user to have the relevant program installed. It also increases the size of the collection. The Greenstone version can be viewed in a browser, but may not look as nice.</Text>
 </NumberedItem>
+</MajorVersion>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="fw-11-3">For collections with documents that undergo a conversion process during importing (e.g. Word, PDF, PowerPoint documents, but not text, HTML documents), the original file is stored in the collection along with the converted version. The default <AutoText key="coredm::_Global:labelBrowse_"/> format statement links to both versions, but the format statement for <AutoText key="coredm::_Global:labelSearch_"/> links only to the converted version of the original file:</Text>
+<Format>&lt;gsf:link type=&quot;document&quot;&gt;<br/>
+        <Tab n="1"/>&lt;gsf:icon type=&quot;document&quot;/&gt;<br/>
+      &lt;/gsf:link&gt;</Format>
+<Text id="fw-12-3">links to the Greenstone HTML version, while</Text>
+<Format>&lt;gsf:link type=&quot;source&quot;&gt;<br/>   
+          <Tab n="1"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br/>
+      &lt;/gsf:link&gt;<br/>
+</Format>
+<Text id="fw-12a-3">links to the original.</Text> 
+<Text id="fw-13-3">Choose <AutoText key="coredm::_Global:labelSearch_"/> in <AutoText key="glidict::CDM.GUI.Formats"/>. Experiment with removing either of the two links from the format statement.</Text>
+<Text id="fw-13a-3">To see the results of your changes, preview the collection and do a search. You are making changes to <b>documentNode</b>s under <AutoText text="Search"/>, which means the changes will only apply to search results.</Text>
+<Text id="fw-13b-3">Storing and displaying the original allows users to see the correct format, but requires the user to have the relevant program installed. It also increases the size of the collection. The Greenstone version can be viewed in a browser, but may not look as nice.</Text>
+</NumberedItem>
+</MajorVersion>
 <Heading>
 <Text id="fw-14a">Making bookshelves show how many items they contain</Text>