Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25793)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25794)
@@ -949,5 +949,10 @@
 </Heading>
 <NumberedItem>
-<Text id="fw-14">Next, we'll customize the format for the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list. Classifier bookshelves have only a few pieces of metadata to display: <Format>[ex.Title]</Format> and <Format>[numleafdocs]</Format>. Whatever metadata the classifier has been built on, the bookshelf label is always stored as <Format>[ex.Title]</Format>. This is why a Creator is printed out for each bookshelf even though <Format>[dc.Creator]</Format> is not specified in the format statement. <Format>[numleafdocs]</Format> is only defined for bookshelves, so this metadata can be used in an <Format>{If}</Format> statement to make bookshelves and documents display differently in the list.</Text> 
+<Text id="fw-14">Next, we'll customize the format for the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list. Classifier bookshelves have only a few pieces of metadata to display: <Format>[ex.Title]</Format> and <Format>[numleafdocs]</Format>. Whatever metadata the classifier has been built on, the bookshelf label is always stored as <Format>[ex.Title]</Format>. This is why a Creator is printed out for each bookshelf even though <Format>[dc.Creator]</Format> is not specified in the format statement.
+<MajorVersion number="2">
+ <Format>[numleafdocs]</Format> is only defined for bookshelves, so this metadata can be used in an <Format>{If}</Format> statement to make bookshelves and documents display differently in the list.
+</MajorVersion>
+</Text>
+<MajorVersion number="2">
 <Text id="fw-15">Make each bookshelf in the Creator classifier show how many entries it contains. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="CL2 AZCompactList"/> classifier (which is based on <AutoText key="metadata::dc.Creator"/> metadata) from the <AutoText key="glidict::CDM.FormatManager.Feature"/> drop down list, and <AutoText text="VList"/> from the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click the <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> button to add this format into the list of assigned formats. Note that it gets added as <AutoText text="CL2VList"/> in this list: it is the <AutoText text="VList"/> format for the second (<AutoText text="CL2"/>) classifier.</Text>
 <Text id="fw15a">Append the following text to the bottom of the format statement:</Text>
@@ -955,6 +960,26 @@
 {If}{[numleafdocs],&lt;td&gt;&lt;i&gt;([numleafdocs])&lt;/i&gt;&lt;/td&gt;}
 </Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="fw-15-3">Make each bookshelf in the Creator classifier show how many entries it contains. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText key="coredm::_Global:labelBrowse_"/> format statement. This consists of three parts: the first gsf:template is the format statement defining the display of a <b>documentNode</b>, the second one is the format statement that controls the appearance of <b>VList classifierNodes</b> (which appear as bookshelves here), while the final gsf:template block is the format statement defining the display of <b>HList classifierNodes</b>.</Text>
+<Text id="fw-15a-3">Scroll down to the end of the second format statement, which is the one for the VList classifiers and appears just before the start of the format statement for HList classifiers. Then insert the line highlighted below, which will display the number of leaf documents inside a classifier bookshelf:</Text>
+<Format>
+  &lt;gsf:template match=&quot;classifierNode[@classifierStyle = 'VList']&quot;&gt;<br />
+    <Tab n="1"/>...<br />
+    <Tab n="1"/><highlight>&lt;td&gt;(&lt;gsf:metadata name=&quot;numleafdocs&quot;/&gt;)&lt;/td&gt;</highlight><br />
+  &lt;/gsf:template&gt;<br />
+  &lt;gsf:template match=&quot;classifierNode[@classifierStyle = 'HList']&quot;&gt;<br />
+    <Tab n="1"/>&lt;gsf:link type=&quot;classifier&quot;&gt;<br />
+     <Tab n="2"/> &lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
+    <Tab n="1"/>&lt;/gsf:link&gt;<br />
+  &lt;/gsf:template&gt;<br />
+</Format>
+</MajorVersion>
 <Text id="fw-16"><b>Preview</b> the collection. Click on the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list and notice that the bookshelves now display how many documents they contain.</Text>
-<Text id="fw-17">This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf.  Since only bookshelves define <Format>[numleafdocs]</Format>, only they will display this. By modifying <AutoText text="CL2VList"/> instead of <AutoText text="VList"/>, the change will only apply to the second classifier (<AutoText key="coredm::_Global:labelCreator_" type="plain"/>).</Text>
+<Text id="fw-17">This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf.
+<MajorVersion number="2">
+ Since only bookshelves define <Format>[numleafdocs]</Format>, only they will display this. By modifying <AutoText text="CL2VList"/> instead of <AutoText text="VList"/>, the change will only apply to the second classifier (<AutoText key="coredm::_Global:labelCreator_" type="plain"/>).
+</MajorVersion>
+</Text>
 </NumberedItem>
 <Heading>