Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25794)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 25799)
@@ -986,4 +986,5 @@
 <Text id="fw-17a">Displaying multi-valued metadata</Text>
 </Heading>
+<MajorVersion number="2">
 <NumberedItem>
 <Text id="fw-18">Next we modify the document entries in the Creator classifier to display all authors. Back in <AutoText key="glidict::CDM.GUI.Formats"/>, select the <AutoText text="CL2VList"/> format in the list of assigned formats. After <Format>{If}{[ex.Source],&lt;br&gt;</Format> in the format statement, add <Format>[sibling:dc.Creator]</Format>.</Text>
@@ -1012,4 +1013,47 @@
 </Format>
 </NumberedItem>
+</MajorVersion>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="fw-18-3">Next we modify the document entries in the Creator classifier to display all authors. Back in <AutoText key="glidict::CDM.GUI.Formats"/>, select the <AutoText key="coredm::_Global:labelBrowse_"/> format in the list of assigned formats. Edit the format statement for <b>documentNode</b> after the part where it displays the Title metadata, so that it now additionally contains the new line highlighted below. This will display the dc.Creator metadata.</Text>
+<Format>
+    &lt;td valign=&quot;top&quot;&gt;<br />
+      <Tab n="1"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
+        <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br />
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br />
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
+          <Tab n="3"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br />
+        <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+        <Tab n="2"/>&lt;gsf:switch&gt;<br />
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;Source&quot;/&gt;<br />
+          <Tab n="3"/>&lt;gsf:when test=&quot;exists&quot;&gt;<br />
+            <Tab n="4"/>&lt;br/&gt;<br />
+            <Tab n="4"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br />
+          <Tab n="3"/>&lt;/gsf:when&gt;<br />
+        <Tab n="2"/>&lt;/gsf:switch&gt;<br />
+      <Tab n="1"/>&lt;/gsf:link&gt;<br />
+      <Tab n="1"/>&lt;br/&gt;<br />
+      <Tab n="1"/><highlight>&lt;gsf:metadata name=&quot;dc.Creator&quot; multiple=&quot;true&quot; /&gt;</highlight><br />
+    &lt;/td&gt;<br />
+</Format>
+<Text id="fw-21">The format statement as it is above will now display the Greenstone link, the link to the original, then the Title as before. Since it's defined for <b>documentNode</b>s, it will display all the Authors (Creators), and the source document for documents. The additional line <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; multiple=&quot;true&quot;/&gt;</Format> displays all the Creator metadata for the document, separated by a comma (<AutoText text=", " type="quoted"/>), while <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> displays only the first author. Preview the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list and make sure that all authors are displayed for documents.</Text>  
+</NumberedItem>
+<NumberedItem>
+<Text id="fw-22">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; multiple=&quot;true&quot;/&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; multiple=&quot;true&quot; separator=&quot;&amp;lt;br/&amp;gt;&quot; /&gt;</Format>. This will add a new line after each author (<Format>&amp;lt;br/&amp;gt;</Format> is the escaped version of <Format>&lt;br/&gt;</Format> and specifies a line break in HTML and XML). Preview the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list.</Text>
+<Text id="fw-23">If you have done exercise <TutorialRef id="enhanced_word"/>, the collection will have both dc.Creator and ex.Creator metadata. To display both, you can use </Text>
+<Format>
+&lt;gsf:metadata name=&quot;dc.Creator&quot; multiple=&quot;true&quot;/&gt; <br />
+&lt;gsf:metadata name=&quot;ex.Creator&quot; multiple=&quot;true&quot;/&gt;<br />
+</Format>
+<Text id="fw-23a">To display dc.Creator if it is present, otherwise display ex.Creator, use</Text>
+<Format>
+&lt;gsf:choose-metadata&gt;<br />
+  <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Creator&quot; multiple=&quot;true&quot;/&gt;<br />
+  <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.Creator&quot; multiple=&quot;true&quot;/&gt;<br />  
+&lt;/gsf:choose-metadata&gt;<br />
+</Format>
+</NumberedItem>
+</MajorVersion>
 <Heading>
 <Text id="0321d-1">Advanced multi-valued metadata</Text>
@@ -1073,5 +1117,9 @@
 <Text id="ep-6">In the <AutoText key="glidict::CDM.GUI.Plugins"/> section of the <AutoText key="glidict::GUI.Design"/> panel, configure <AutoText text="PDFPlugin"/>. Switch on the <AutoText text="use_sections"/> option. </Text>
 <Text id="ep-6a">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, check the <AutoText key="glidict::CDM.LevelManager.Section"/> checkbox to build the indexes on section level as well as document level.</Text>
-<Text id="ep-7"><b>Build</b> and <b>preview</b> the collection. View the text versions of some of the PDF documents. Note that these are now split into a series of pages, and a "go to page" box is provided. The format is still a bit ugly though, and pdf05-notext.pdf is still not processed.</Text>
+<Text id="ep-7"><b>Build</b> and <b>preview</b> the collection. View the text versions of some of the PDF documents. <MajorVersion number="2">Note that these are now split into a series of pages, and a "go to page" box is provided. 
+</MajorVersion>
+<MajorVersion number="3">Note that these are now split into a series of pages, and two means of jumping between various pages is provided: on the left, individual pages are listed vertically by page number and clicking the "plus" box next to a page will expand its contents, while on the right there's a box with a horizontal scroller which can be used to scroll to the page you wish to view.
+</MajorVersion>
+The format is still a bit ugly though, and pdf05-notext.pdf is still not processed.</Text>
 </NumberedItem>
 <Heading>
@@ -1084,6 +1132,14 @@
 <Text id="ep-13">In the <AutoText key="glidict::CDM.GUI.Plugins"/> section, configure <AutoText text="PDFPlugin"/>. Set the <AutoText text="convert_to"/> option to one of the image types, e.g. <AutoText text="pagedimg_jpg"/>. Switch off the <AutoText text="use_sections"/> option, as it is not used with image conversion. </Text>
 </NumberedItem>
-<NumberedItem>
-<Text id="ep-14"><b>Build</b> the collection and <b>preview</b>. All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections, but each section displays <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. For the conversion to images for PDF documents, no text is extracted. </Text>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="ep-14-3"><b>Build</b> the collection and <b>preview</b>. 
+All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections.
+Images from the document are now displayed instead of the extracted text. Both <Path>pdf05-notext.pdf</Path> and <Path>pdf06-weirdchars.pdf</Path> display nicely now.</Text>
+</NumberedItem>
+</MajorVersion>
+<MajorVersion number="2">
+<NumberedItem>
+<Text id="ep-14">All PDF documents (including pdf05-notext.pdf) have been processed and divided into sections, but each section displays <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. For the conversion to images for PDF documents, no text is extracted.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1107,4 +1163,5 @@
 </Comment>
 </NumberedItem>
+</MajorVersion>
 <Heading>
 <Text id="ep-19">Using <AutoText text="process_exp"/> to control document processing (advanced)</Text>
@@ -1135,7 +1192,9 @@
 <Text id="ep-28">Note that all plugins have the <AutoText text="process_exp"/> option, and this can be used to customize which documents are processed by which plugin.</Text>
 </NumberedItem>
+<MajorVersion number="2">
 <NumberedItem>
 <Text id="ep-30">Edit the <AutoText text="DocumentText"/> format statement. PDF files processed as HTML will not have images to display, so we need to make sure they get text displayed instead. Change <Format>[srcicon]</Format> to <Format>{If}{[NoText] eq "1",[srcicon],[Text]}</Format>.</Text>
 </NumberedItem>
+</MajorVersion>
 <NumberedItem>
 <Text id="ep-33">Build and preview the collection. All PDF documents should look relatively nice. Try searching this collection. You will be able to search for the PDFs that were converted to HTML (try e.g. <AutoText text="bibliography" type="quoted"/>), but not the ones that were converted to images (try searching for <AutoText text="FAO" type="quoted"/> or <AutoText text="METS" type="quoted"/>).</Text>