Index: /other-projects/gli-rsyntax-textarea/REGENERATE-FLEX.sh
===================================================================
--- /other-projects/gli-rsyntax-textarea/REGENERATE-FLEX.sh	(revision 25800)
+++ /other-projects/gli-rsyntax-textarea/REGENERATE-FLEX.sh	(revision 25801)
@@ -30,7 +30,7 @@
 
     cat $j \
-      | sed 's/yyreset/YYRESETOLD/g' \
+      | sed 's/public final void yyreset/public final void YYRESETOLD/g' \
       | sed 's/YYRESETNEW/yyreset/g' \
-      | sed 's/zzRefill/YYREFILLOLD/g' \
+      | sed 's/private boolean zzRefill/private boolean ZZREFILLOLD/g' \
       | sed 's/ZZREFILLNEW/zzRefill/g' \
       > $j.new    
Index: /other-projects/gli-rsyntax-textarea/src/java/org/fife/ui/rsyntaxtextarea/modes/HTMLTokenMaker.flex
===================================================================
--- /other-projects/gli-rsyntax-textarea/src/java/org/fife/ui/rsyntaxtextarea/modes/HTMLTokenMaker.flex	(revision 25800)
+++ /other-projects/gli-rsyntax-textarea/src/java/org/fife/ui/rsyntaxtextarea/modes/HTMLTokenMaker.flex	(revision 25801)
@@ -316,5 +316,5 @@
 		s = text;
 		try {
-			yyreset(zzReader);
+			YYRESETNEW(zzReader);
 			yybegin(state);
 			return yylex();
@@ -347,5 +347,5 @@
 	 */
 
-	private boolean zzRefill() {
+	private boolean ZZREFILLNEW() {
 		return zzCurrentPos>=s.offset+s.count;
 	}
@@ -363,5 +363,5 @@
 	 */
 
-	public final void yyreset(java.io.Reader reader) {
+	public final void YYRESETNEW(java.io.Reader reader) {
 		// 's' has been updated.
 		zzBuffer = s.array;
Index: /other-projects/gli-rsyntax-textarea/src/java/org/fife/ui/rsyntaxtextarea/modes/HTMLTokenMaker.java
===================================================================
--- /other-projects/gli-rsyntax-textarea/src/java/org/fife/ui/rsyntaxtextarea/modes/HTMLTokenMaker.java	(revision 25800)
+++ /other-projects/gli-rsyntax-textarea/src/java/org/fife/ui/rsyntaxtextarea/modes/HTMLTokenMaker.java	(revision 25801)
@@ -1,3 +1,3 @@
-/* The following code was generated by JFlex 1.4.3 on 12/05/12 5:11 PM */
+/* The following code was generated by JFlex 1.4.3 on 20/06/12 2:50 PM */
 
 /*
@@ -1767,5 +1767,5 @@
 		zzStartRead = s.offset;
 		zzEndRead = zzStartRead + s.count - 1;
-		    //####		zzCurrentPos = zzMarkedPos = zzPushbackPos = s.offset;
+		//### zzCurrentPos = zzMarkedPos = zzPushbackPos = s.offset;
 		zzCurrentPos = zzMarkedPos = s.offset;
 		zzLexicalState = YYINITIAL;
@@ -1816,4 +1816,59 @@
     return map;
   }
+
+
+  /**
+   * Refills the input buffer.
+   *
+   * @return      <code>false</code>, iff there was new input.
+   * 
+   * @exception   java.io.IOException  if any I/O-Error occurs
+   */
+  private boolean ZZREFILLOLD() throws java.io.IOException {
+
+    /* first: make room (if you can) */
+    if (zzStartRead > 0) {
+      System.arraycopy(zzBuffer, zzStartRead,
+                       zzBuffer, 0,
+                       zzEndRead-zzStartRead);
+
+      /* translate stored positions */
+      zzEndRead-= zzStartRead;
+      zzCurrentPos-= zzStartRead;
+      zzMarkedPos-= zzStartRead;
+      zzStartRead = 0;
+    }
+
+    /* is the buffer big enough? */
+    if (zzCurrentPos >= zzBuffer.length) {
+      /* if not: blow it up */
+      char newBuffer[] = new char[zzCurrentPos*2];
+      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
+      zzBuffer = newBuffer;
+    }
+
+    /* finally: fill the buffer with new input */
+    int numRead = zzReader.read(zzBuffer, zzEndRead,
+                                            zzBuffer.length-zzEndRead);
+
+    if (numRead > 0) {
+      zzEndRead+= numRead;
+      return false;
+    }
+    // unlikely but not impossible: read 0 characters, but not at end of stream    
+    if (numRead == 0) {
+      int c = zzReader.read();
+      if (c == -1) {
+        return true;
+      } else {
+        zzBuffer[zzEndRead++] = (char) c;
+        return false;
+      }     
+    }
+
+	// numRead < 0
+    return true;
+  }
+
     
   /**
@@ -1826,4 +1881,26 @@
     if (zzReader != null)
       zzReader.close();
+  }
+
+
+  /**
+   * Resets the scanner to read from a new input stream.
+   * Does not close the old reader.
+   *
+   * All internal variables are reset, the old input stream 
+   * <b>cannot</b> be reused (internal buffer is discarded and lost).
+   * Lexical state is set to <tt>ZZ_INITIAL</tt>.
+   *
+   * @param reader   the new input stream 
+   */
+  public final void YYRESETOLD(java.io.Reader reader) {
+    zzReader = reader;
+    zzAtBOL  = true;
+    zzAtEOF  = false;
+    zzEOFDone = false;
+    zzEndRead = zzStartRead = 0;
+    zzCurrentPos = zzMarkedPos = 0;
+    yyline = yychar = yycolumn = 0;
+    zzLexicalState = YYINITIAL;
   }
 