Index: /main/trunk/greenstone3/build.xml
===================================================================
--- /main/trunk/greenstone3/build.xml	(revision 25829)
+++ /main/trunk/greenstone3/build.xml	(revision 25830)
@@ -910,4 +910,6 @@
     </stringutil>
 	
+    <filter token="gsdlhome" value="${gs2build.home}"/>
+    <filter token="gsdl3srchome" value="${basedir}"/>
     <filter token="gsdl3home" value="${src.gsdl3.home.unix}"/>
     <filter token="gsdl3version" value="${app.version}"/>
@@ -916,4 +918,5 @@
     <filter token="perlpath" value="${escaped.perl.path}"/>
 	<filter token="disable.collection.building" value="${disable.collection.building}"/>
+    <copy file="${basedir}/web/WEB-INF/cgi/gsdl3site.cfg.in" tofile="${basedir}/web/WEB-INF/cgi/gsdl3site.cfg" filtering="true" overwrite="true"/>
     <copy file="${basedir}/resources/java/global.properties.in" tofile="${web.classes}/global.properties" filtering="true" overwrite="true"/>
     <copy file="${basedir}/resources/java/log4j.properties.in" tofile="${web.classes}/log4j.properties" filtering="true" overwrite="true"/>
Index: in/trunk/greenstone3/web/WEB-INF/cgi/gsdl3site.cfg
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/cgi/gsdl3site.cfg	(revision 25829)
+++ 	(revision )
@@ -1,32 +1,0 @@
-# this file should be placed in the /greenstone3/web/WEB-INF/cgi
-# It defines path parameters of GS3, and therefore should be
-# edited to suit your setting.
-
-# specify full paths to the various key Greenstone directories.
-# GSDL3HOME is optional, set it if your Greenstone web folder
-# is located somewhere other than the default gsdl3srchome/web
-gsdl3srchome    /full/path/to/greenstone3
-gsdlhome    /full/path/to/greenstone3/gs2build
-#gsdl3home /full/path/to/greenstone3/web
-
-# cgi gateway URL suffix
-#gwcgi       /cgi-bin/library
-
-# If the GLIServer will be used to run the Fedora Librarian
-# Interface (FLI), set FEDORA_VERSION (the major version number
-# of Fedora) and set FEDORA_HOME to be the full path to your
-# Fedora installation.
-# Setting fedorahome and fedoraversion here will overwrite the
-# environment variables FEDORA_HOME and FEDORA_VERSION if set.
-#fedorahome /full/path/to/fedora
-#fedoraversion 3
-
-# If JAVA_HOME is already set, then setting the following to be
-# the full path to the JDK will overwrite it.
-#javahome /full/path/to/j2sdk1.4/or/higher
-
-# If Perl is not already on your PATH, set the following to the
-# full path of the perl bin directory (Perl's parent folder)
-# and it will be prepended to the PATH.
-#perlpath /usr/bin
-
Index: /main/trunk/greenstone3/web/WEB-INF/cgi/gsdl3site.cfg.in
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/cgi/gsdl3site.cfg.in	(revision 25830)
+++ /main/trunk/greenstone3/web/WEB-INF/cgi/gsdl3site.cfg.in	(revision 25830)
@@ -0,0 +1,32 @@
+# this file should be placed in the /greenstone3/web/WEB-INF/cgi
+# It defines path parameters of GS3, and therefore should be
+# edited to suit your setting.
+
+# specify full paths to the various key Greenstone directories.
+# GSDL3HOME is optional, set it if your Greenstone web folder
+# is located somewhere other than the default gsdl3srchome/web
+gsdl3srchome @gsdl3srchome@
+gsdlhome @gsdlhome@
+#gsdl3home /full/path/to/greenstone3/web
+
+# cgi gateway URL suffix
+#gwcgi       /cgi-bin/library
+
+# If the GLIServer will be used to run the Fedora Librarian
+# Interface (FLI), set FEDORA_VERSION (the major version number
+# of Fedora) and set FEDORA_HOME to be the full path to your
+# Fedora installation.
+# Setting fedorahome and fedoraversion here will overwrite the
+# environment variables FEDORA_HOME and FEDORA_VERSION if set.
+#fedorahome /full/path/to/fedora
+#fedoraversion 3
+
+# If JAVA_HOME is already set, then setting the following to be
+# the full path to the JDK will overwrite it.
+#javahome /full/path/to/j2sdk1.4/or/higher
+
+# If Perl is not already on your PATH, set the following to the
+# full path of the perl bin directory (Perl's parent folder)
+# and it will be prepended to the PATH.
+#perlpath /usr/bin
+